OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.Clipping

Description

This module corresponds to section 13.5 (Primitive Clipping) of the OpenGL 4.4 specs.

# Documentation

newtype ClipPlaneName Source #

Constructors

ClipPlaneName GLsizei |

#### Instances

Instances details

Show ClipPlaneName Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Clipping Methods showsPrec :: Int -> ClipPlaneName -> ShowS Source # show :: ClipPlaneName -> String Source # showList :: [ClipPlaneName] -> ShowS Source #
Eq ClipPlaneName Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Clipping Methods (==) :: ClipPlaneName -> ClipPlaneName -> Bool Source # (/=) :: ClipPlaneName -> ClipPlaneName -> Bool Source #
Ord ClipPlaneName Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Clipping

Methods

compare :: ClipPlaneName -> ClipPlaneName -> Ordering Source #

(<) :: ClipPlaneName -> ClipPlaneName -> Bool Source #

(<=) :: ClipPlaneName -> ClipPlaneName -> Bool Source #

(>) :: ClipPlaneName -> ClipPlaneName -> Bool Source #

(>=) :: ClipPlaneName -> ClipPlaneName -> Bool Source #

max :: ClipPlaneName -> ClipPlaneName -> ClipPlaneName Source #

min :: ClipPlaneName -> ClipPlaneName -> ClipPlaneName Source #

clipPlane :: ClipPlaneName -> StateVar (Maybe (Plane GLdouble)) Source #

maxClipPlanes :: GettableStateVar GLsizei Source #